| GET | /RestApi/diagnostics/cdn-images |
|---|
"use strict";
export class GetCdnImages {
constructor(init) { Object.assign(this, init) }
}
export class BlobProviderProxy {
/** @param {{Name?:string,CdnUrl?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
Name;
/** @type {string} */
CdnUrl;
}
export class CdnImagesProxy {
/** @param {{Providers?:BlobProviderProxy[]}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {BlobProviderProxy[]} */
Providers;
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/cdn-images HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Providers:
[
{
Name: String,
CdnUrl: String
}
]
}